package com.fs.course.vo.newfs;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class FsCourseAnalysisVO implements Cloneable{

    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "关联视频id")
    private Long videoId;

    @ApiModelProperty(value = "视频标题")
    private String title;

    @ApiModelProperty(value = "视频封面")
    private String thumbnail;

    @ApiModelProperty(value = "统计信息")
    private FsCourseAnalysisCountVO countVO;

    /**
     * 深度克隆
     */
    @Override
    public FsCourseAnalysisVO clone() {
        FsCourseAnalysisVO vo;
        try {
            vo = (FsCourseAnalysisVO) super.clone();
        } catch (CloneNotSupportedException e) {
            throw new AssertionError();
        }
        vo.countVO = countVO.clone();
        return vo;
    }
}
